Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1206470

Capsule installer for  more than one DHCP network

Configure more than one DHCP network on capsule-installer so they can easily use it in their complex network environment, as each

capsule should manage more than one DHCP network and range.

They can workaround it by editing dhcpd.conf and restarting that daemon, but would like this functionality within the capsule-installer

command.

History

#1 - 04/12/2015 03:27 AM - Shlomi Zadok

- Description updated

#2 - 04/13/2015 03:35 AM - Dominic Cleal

- Project changed from Smart Proxy to Installer

- Subject changed from Capsule installer support for more than one DHCP network to Installer support for more than one DHCP network

- Category set to foreman-installer script

#3 - 05/06/2015 07:14 PM - Michael Bassler

Hello,

I have a similar use case in which multiple DHCP networks are required as well as additional options in dhcpd.conf. Would it perhaps be better to

allow the capsule-installer to specify an additional include file i.e. capsule-installer --dhcp-additional-config="/etc/dhcp/dhcp.subnets" would append

'include "/etc/dhcp/dhcpd.subnets";' to /etc/dhcp/dhcpd.conf

-Michael

#4 - 08/17/2016 07:52 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)
